MS04-028 Fails Error 1335.



Hello. I am having a problem installing the MS04-028 patch. I checked
the log and it says the following:

Error 1335.The cabinet file 'PCW_CAB_NDP' required for this
installation is corrupt and cannot be used. This could indicate a
network error, an error reading from the CD-ROM, or a problem with this
package.

I have tried to install via SMS as well as downloading to local HD and
runing from there. Still NG. Also, the event log shows the following:

Source: MsiInstaller Event Id: 1024
Product: Microsoft .NET Framework 1.1 - Update
'{738B5D5A-253B-4F2D-BA88-E81508DE71E3}' could not be installed. Error
code 1603. Windows Installer can create logs to help troubleshoot
issues with installing software packages. Use the following link for
instructions on turning on logging support:
http://go.microsoft.com/fwlink/?LinkId=23127

For more information, see Help and Support Center at
http://go.microsoft.com/fwlink/events.asp.

AND,

Source: MsiInstaller Event ID: 11335
Product: Microsoft .NET Framework 1.1 -- Error 1335.The cabinet file
'PCW_CAB_NDP' required for this installation is corrupt and cannot be
used. This could indicate a network error, an error reading from the
CD-ROM, or a problem with this package.

For more information, see Help and Support Center at
http://go.microsoft.com/fwlink/events.asp.

Of course the links provided go absolutely no place and MS has no info.
that I can find relating to this.

HELP!!!!

.